"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
describe('utils', () => {
    describe('isPromise', () => {
        it('should return true if a Promise or an object with then attribute', () => {
            expect((0, utils_1.isPromise)(Promise.resolve())).toBe(true);
            expect((0, utils_1.isPromise)({ then: () => null })).toBe(true);
        });
        it('should return false if not a Promise and not an object with then', () => {
            expect((0, utils_1.isPromise)({})).toBe(false);
            expect((0, utils_1.isPromise)(2)).toBe(false);
            expect((0, utils_1.isPromise)(true)).toBe(false);
            expect((0, utils_1.isPromise)(null)).toBe(false);
            expect((0, utils_1.isPromise)(undefined)).toBe(false);
        });
    });
});
//# sourceMappingURL=utils.spec.js.map