"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debounce = void 0;
const debouncify_1 = require("./debouncify");
function debounce(delayMs) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, debouncify_1.debouncify)(descriptor.value, delayMs);
            return descriptor;
        }
        throw new Error('@debounce is applicable only on a methods.');
    };
}
exports.debounce = debounce;
//# sourceMappingURL=debounce.js.map