"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debouncify = void 0;
function debouncify(originalMethod, delayMs) {
    let handler;
    return function (...args) {
        clearTimeout(handler);
        handler = setTimeout(() => {
            originalMethod.apply(this, args);
        }, delayMs);
    };
}
exports.debouncify = debouncify;
//# sourceMappingURL=debouncify.js.map