"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memoize = void 0;
const memoizify_1 = require("./memoizify");
function memoize(input) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, memoizify_1.memoizify)(descriptor.value, input);
            return descriptor;
        }
        throw new Error('@memoize is applicable only on a methods.');
    };
}
exports.memoize = memoize;
//# sourceMappingURL=memoize.js.map