import { Method } from '../common/model/common.model';
export declare type KeyResolver = (...args: any[]) => string;
export interface Cache<D> {
    set: (key: string, value: D) => void;
    get: (key: string) => D | null;
    delete: (key: string) => void;
    has: (key: string) => boolean;
}
export interface MemoizeConfig<T, D> {
    cache?: Cache<D>;
    keyResolver?: KeyResolver | keyof T;
    expirationTimeMs?: number;
}
export declare type Memoizable<T, D> = (target: T, propertyName: keyof T, descriptor: TypedPropertyDescriptor<Method<D>>) => TypedPropertyDescriptor<Method<D>>;
