"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throttlify = void 0;
function throttlify(originalMethod, delayMs) {
    let throttling = false;
    return function (...args) {
        if (!throttling) {
            throttling = true;
            originalMethod.apply(this, args);
            setTimeout(() => {
                throttling = false;
            }, delayMs);
        }
    };
}
exports.throttlify = throttlify;
//# sourceMappingURL=throttlify.js.map