"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timeout = void 0;
const timeoutify_1 = require("./timeoutify");
function timeout(ms) {
    return (target, propertyName, descriptor) => {
        if (descriptor.value) {
            descriptor.value = (0, timeoutify_1.timeoutify)(descriptor.value, ms);
            return descriptor;
        }
        throw new Error('@timeout is applicable only on a methods.');
    };
}
exports.timeout = timeout;
//# sourceMappingURL=timeout.js.map