import TinyQueue from 'tinyqueue';
export class TaskExec {
    constructor() {
        this.tasks = new TinyQueue([], (a, b) => a.execTime - b.execTime);
    }
    exec(func, ttl) {
        this.tasks.push({ func, execTime: Date.now() + ttl });
        this.handleNext();
    }
    handleNext() {
        if (!this.tasks.length) {
            return;
        }
        const { execTime } = this.tasks.peek();
        this.execNext(Math.max(execTime - Date.now(), 0));
    }
    execNext(ttl) {
        clearTimeout(this.handler);
        this.handler = setTimeout(() => {
            const { func } = this.tasks.pop();
            func();
            this.handleNext();
        }, ttl);
    }
}
//# sourceMappingURL=task-exec.js.map