var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export function refreshable(config) {
    return function (target, key) {
        return __awaiter(this, void 0, void 0, function* () {
            let data;
            const intervalHandler = setInterval(() => __awaiter(this, void 0, void 0, function* () {
                data = yield config.dataProvider.apply(this);
            }), config.intervalMs);
            if (typeof intervalHandler.unref === 'function') {
                intervalHandler.unref();
            }
            setTimeout(() => __awaiter(this, void 0, void 0, function* () {
                data = yield config.dataProvider.apply(this);
            }), 0);
            Object.defineProperty(target, key, {
                get: () => data,
                set(x) {
                    if (x === null) {
                        clearInterval(intervalHandler);
                    }
                },
            });
        });
    };
}
//# sourceMappingURL=refreshable.js.map